Bug 119267 - kernel 2.4.22-2174nptl breaks Dell inspiron 1100 Xserver
kernel 2.4.22-2174nptl breaks Dell inspiron 1100 Xserver
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-28 04:38 EST by István Tóth
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:15:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Success ful X server start with 2115 kernel (47.62 KB, text/plain)
2004-03-28 04:45 EST, István Tóth
no flags Details
Unsuccessfule X server startup with new kernel (47.70 KB, text/plain)
2004-03-28 04:45 EST, István Tóth
no flags Details

  None (edit)
Description István Tóth 2004-03-28 04:38:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
After upgrading to the 2.4.22-2174nptl kernel, on a Dell Inspiron
1100, the X server stops working. When booting, I can see the cursor
for a few moments, then the screen goes black. When the machine has
finshed booting, I get some coloured lines in the upper left corner of
the display, but nothing relevant is drawn.

When I boot the same computer with the original 2.4.22-2115ntpl
kernel, the X server works flawlessly. ( so it's a regression)

The laptop is updated to the latest a29 BIOS, but the Fedora install
is completeley stock, from CD-s plus official upgrades.

Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2174.nptl

How reproducible:
Always

Steps to Reproduce:
1. Install the 2.4.22-2174 kernel
2. Try to boot into graphical mode
3.
    

Actual Results:  Blanks screen with some colored lines

Expected Results:  Normal graphical startup, then Login screen

Additional info:

The Ispirion 1100 is known to have problems with the video BIOS, but
version A29 supposedly fixes them.
Comment 1 István Tóth 2004-03-28 04:45:09 EST
Created attachment 98909 [details]
Success ful X server start with 2115 kernel
Comment 2 István Tóth 2004-03-28 04:45:49 EST
Created attachment 98910 [details]
Unsuccessfule X server startup with new kernel
Comment 3 István Tóth 2004-03-28 05:25:30 EST
I have noticed some additional things

1. The problem does not surface when warm-booting after the 2115
kernel, only when cold-booting to 2174.

2. I have installed this package to work around the
problem:http://projects.nudieman.com/500m/845patch-0.3-2.i386.rpm

I had to turn off rhgb, as the machine froze during booting with it,
but with rhgb off, and the above patch, the system seems to work
reliably with the 2174 kernel.
Comment 4 David Lawrence 2004-09-29 16:15:37 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.